AS PERL V5.14 DBD-mysql

Posted by gsachs on 2011-06-13 18:32
Forums: PPM | OS: All / Any

Hi,

I saw that DBD-mysql is not available via PPM for v5.14. It appears that there are some issues with the "compiling" of the kit. Does anyone know when this might be fixed and/or if it is going to be fixed? Thanks.

gary

caugheygm | Tue, 2011-07-12 02:31

Hello,
I have the same problem happening with this missing module. I have had to downgrade back to 5.12 in order to continue using Bugzilla which requires this connector. I also read that the DBD-mysql module wasn't compiling successfully against AS-Perl v5.14 and was wondering if there is a work around or any idea when this problem might be fixed?

Regards, Greg

grahams
ActiveState Staff
Wed, 2011-07-27 10:14

None of our Windows Perls are able to build the latest version of DBD-MySQL (4.019)

https://rt.cpan.org/Public/Bug/Display.html?id=68169

And the previous DBD-MySQL (4.018) failed when built with Perl 5.14 due to this bug triggered by changes in Perl:

https://rt.cpan.org/Public/Bug/Display.html?id=67657

gsachs | Sat, 2011-08-06 05:32

Are there any updates as to when this may be fixed? Has the problem been identified?

thanks,
gary

caugheygm | Fri, 2011-10-21 21:58

YES!

I hadn't seen any feedback here and just happened to be browsing around looking for more information when I noticed that ActiveState had modified the status for DBD-MySQL in their PPM download section. I reinstalled Perl v5.14 and updated all PPM packages needed for running Bugzilla and voila! the fixed DBD-MySQL connector necessary did compile successfully.

This solved my problems...

Regards, Greg

gsachs | Tue, 2011-11-01 10:23

Thanks Greg... I appreciate the update. As soon as I saw your comment I updated.

gary